#pragma once

#include "core/jail/jdraw8.hpp"
#include "game/info.hpp"
#include "game/prota.hpp"

class Marcador {
   public:
    explicit Marcador(Jd8::Surface gfx, Prota* sam);
    ~Marcador() = default;

    void draw();

   protected:
    void pintaNumero(Uint16 x, Uint16 y, Uint8 num);

    Jd8::Surface gfx_;
    Prota* sam_;
};
